<?php
$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_e2e36e1c2215f2" . "61368b20d157408" . "47e" => base64_decode("SU5TRVJUIElOVE8gRVJNU19tZXRhZGF0YV9maWVsZF92" . "YWx1ZXMgKG1ldGFkYXRhX2lkLG1ldGFfdmFsdWUsbWV0" . "YV90ZXh0KSBWQUxVRVMgKGludDptZXRhX2ZpZWxkX2lk" . "LGludDprZXksIHN0cjp2YWwp"), "_0c5123aa744f69" . "bbc0e8b3ea2f6e8" . "47d" => base64_decode("bG1zZw" . "=="), "_7f628626dd1d55c71b1fc09" . "32ffd1d2c" => base64_decode("aXNfYXJyY" . "Xk="), "_2d4b5f427d48c3" . "244c2f195479a6c" . "ed7" => base64_decode("Y29tbW9uLm1ldGFkYXRhLmJsYW5rX3ZhbHVlc" . "w=="), "_0926ec1594f048b9" . "fe0aa9aa05b9a243" => base64_decode("Q291bGRuJ3QgZGVsZXRlLiBVbmRlZm" . "luZWQgbWV0YSBmaWVsZCBJRA=="), "_4079816faf0560c6877e40230b8b9" . "65f" => base64_decode("REVMRVRFIEZST00gRVJNU19tZXRhZGF0YV9maWVsZF92YWx1ZXMgV0hFUkUgbWV0YWR" . "hdGFfaWQ9aW50Om1ldGFfZmllbGRfaWQ="), "_2d71c655f2a62b5d8b25dbf8a" . "cf952fd" => base64_decode("Q291bGRuJ3QgbG9hZC4gVW5kZWZpbmVkIG1" . "ldGEgZmllbGQgSUQ="), "_516340c618ee12b8bfb1" . "3b0d280f269f" => base64_decode("U0VMRUNUIG1ldGFfdGV4dCBGUk9NIEVSTVNfbWV0YWRhdGFfZmllbGRfdmFsdWVzIFdIRVJFIG1ldGFkYXRhX2lkPWludDptZXRhX2ZpZWxk" . "X2lkIE9SREVSIEJZIG1ldGFfdmFsdWU="), "_d162ad33b44d275ccc6e4b5280b618" . "df" => base64_decode("bWV0YV9" . "0ZXh0"), "_31767d7ad58e706dbf47b7" . "a51a0fe6c4" => base64_decode("Y291bnQ" . "="), "_80be54d4bf79b1f177a6b4555a" . "e15ab7" => base64_decode("Q291bGRuJ3Qgc2F2ZS4" . "gVW5kZWZpbmVkIG1ldG" . "EgZmllbGQgSUQ="));





class DynamicMetaFieldValues extends ErrorHandler
{
    var $meta_field_id = 0;
    var $values;
    function __construct($_6e38cb9e043a07cd69a1711a6704c62a = 0)
    {
        $this->meta_field_id = $_6e38cb9e043a07cd69a1711a6704c62a;
        $this->Clear();
    }
    function Clear()
    {
        $this->values = array();
    }
    function Load()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_2d71c655f2a62b5d8b25dbf8ac" . "f952fd"]);
        }
        $this->Clear();
        $db = \Claromentis\Core\Services::I()->GetDb();
        $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_516340c618ee12b8b" . "fb13b0d280f269f"], $this->meta_field_id);
        if (!$_189840d11056515e52402d1412a0b6e4->hasData()) {
            return false;
        }
        while ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_189840d11056515e52402d1412a0b6e4->fetchArray()) {
            $this->values[] = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_d162ad33b44d275ccc6e4" . "b5280b618df"]];
        }
        return true;
    }
    function Save()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_80be54d4bf79b1f177a6b4555ae15ab" . "7"]);
        }
        $this->Delete();
        $db = \Claromentis\Core\Services::I()->GetDb();
        foreach ($this->values as $key => $_c96f552040dea8086bf8bdd70059542f) {
            $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_e2e36e1c22" . "15f261368b2" . "0d15740847e"], $this->meta_field_id, $key, $_c96f552040dea8086bf8bdd70059542f);
        }
        return true;
    }
    function Delete()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_0926ec1594f048b" . "9fe0aa9aa05b9a24" . "3"]);
        }
        $db = \Claromentis\Core\Services::I()->GetDb();
        return !!$db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_4079816f" . "af0560c68" . "77e40230b" . "8b965f"], $this->meta_field_id);
    }
    function GetAllValues()
    {
        return $this->values;
    }
    function SetValues($values)
    {
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_7f628626dd1d5" . "5c71b1fc0932ff" . "d1d2c"]($values) || $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_31767d7ad58e7" . "06dbf47b7a51a0" . "fe6c4"]($values) == 0) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_0c5123aa744f69b" . "bc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_2d4b5f427d48c3244c" . "2f195479a6ced7"]));
        }
        $this->values = $values;
        if (!$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_7f628626dd1d55c71" . "b1fc0932ffd1d2c"]($this->values)) {
            $this->values = array();
        }
        return true;
    }
}